# Class: Image

## Image(imageId, format, checksum, name, data, isDeleted, dateModified, dateCreated)

This class represents image data.

## Constructor

#### new Image(imageId, format, checksum, name, data, isDeleted, dateModified, dateCreated)

##### Parameters:

Name | Type | Description
--- | --- | ---
`imageId` | string |
`format` | string |
`checksum` | string |
`name` | string |
`data` | blob |
`isDeleted` | boolean |
`dateModified` | string |
`dateCreated` | string |

Source:
  - entities/image.js, line 20

### Extends

- Entity